import pymysql
import datetime

def con_sql(sql):
	# 从数据库的表里获取数据
    db = pymysql.connect(host='10.66.157.22', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='jerry_test')
    cursor = db.cursor()
    cursor.execute(sql)
    result = cursor.fetchall()
    db.close()
    return result

def get_yesterday_date():
	today = datetime.date.today()
	yesterday = today - datetime.timedelta(days=1)
	yesterday = yesterday.strftime("%Y%m%d")
	return yesterday

def get_uid_click_times():
	sql = "select device_id,count(cid_type) click_times from data_feed_click where from_unixtime(time,'%Y-%m-%d')=date_add(curdate(), interval -1 day) group by device_id order by click_times desc"
	uid_click_times = con_sql(sql)
	return uid_click_times


def result2file(result,fpath):
	with open(fpath,'w') as f:
		f.write("device_id"+'\t'+"click_times"+'\n')
		for i in result:
			f.write(str(i[0])+'\t'+str(i[1])+'\n')


def main():
	print("开始获取用户点击次数表...")
	uid_click_times = get_uid_click_times()
	output_path = "../data/uid_click_times_%s.txt" % get_yesterday_date()
	result2file(uid_click_times,output_path)
	print("获取完成")



if __name__ == '__main__':
	main()